# Enum TCacheLookupResult

java.lang.Object
java.lang.Enum<TCacheLookupResult>
com.databricks.jdbc.model.client.thrift.generated.TCacheLookupResult

All Implemented Interfaces:
  `Serializable`, `Comparable<TCacheLookupResult>`, `java.lang.constant.Constable`, `org.apache.thrift.TEnum`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public enum TCacheLookupResult extends Enum<TCacheLookupResult> implements org.apache.thrift.TEnum

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CACHE_INELIGIBLE`
`CACHE_MISS`
`LOCAL_CACHE_HIT`
`REMOTE_CACHE_HIT`

## Method Summary

Modifier and Type
Method
Description
`static TCacheLookupResult`
`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`int`
`getValue()`
Get the integer value of this enum value, as defined in the Thrift IDL.
`static TCacheLookupResult`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TCacheLookupResult[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CACHE_INELIGIBLE

public static final TCacheLookupResult CACHE_INELIGIBLE

### LOCAL_CACHE_HIT

public static final TCacheLookupResult LOCAL_CACHE_HIT

### REMOTE_CACHE_HIT

public static final TCacheLookupResult REMOTE_CACHE_HIT

### CACHE_MISS

public static final TCacheLookupResult CACHE_MISS

## Method Details

### values

public static TCacheLookupResult[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TCacheLookupResult valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()
Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

### findByValue

public static TCacheLookupResult findByValue(int value)
Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.